%define major   0
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname -d %{name}

Summary:        Raptor RDF Parser Toolkit for Redland
Name:           raptor2
Version:        2.0.15
Release:        %mkrel 6
License:        GPLv2 LGPLv2
Group:          Development/Other
Source:         http://librdf.org/dist/source/%{name}-%{version}.tar.xz
Patch0:		0001-Calcualte-max-nspace-declarations-correctly-for-XML-.patch
URL:            http://librdf.org/raptor/

BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:	icu-devel
Conflicts:      raptor < 2.0.0

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%files
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%{_mandir}/man1/rap*
%{_mandir}/man3/libraptor2.3*
%{_bindir}/rapper

#--------------------------------------------------------------------
%package -n	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%files -n %{libname}
%{_libdir}/libraptor2.so.%{major}*

#--------------------------------------------------------------------
%package -n	%{develname}
Summary:        Header files and static libraries from %{name}
Group:          Development/Libraries
Requires:       %{libname} >= %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/raptor2/
%{_libdir}/libraptor2.so
%{_libdir}/pkgconfig/raptor2.pc
%{_includedir}/raptor2/

#--------------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static --with-icu-config=%{_bindir}/icu-config
%make_build

%install
rm -rf %buildroot
%make_install

rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Mon Sep 12 2022 tex - 2.0.15-6pclos2022
- rebuild against updates

* Thu Sep 16 2021 tex - 2.0.15-5pclos2021
- rebuild against updates

* Sun Oct 06 2019 tex - 2.0.15-4pclos2019
- rebuild against updates

* Fri Oct 20 2017 bb2 <bb2> 2.0.15-3pclos2017
- rebuild against updates
